# RefPointerBase Class Reference

Internal helper class. More...

`#include <yateclass.h>`

Inheritance diagram for RefPointerBase:

List of all members.

## Protected Member Functions

| RefPointerBase ()
void | assign (RefObject *oldptr, RefObject *newptr, void *pointer)

## Protected Attributes

void * | m_pointer

## Detailed Description

Internal helper class.

Internal helper class providing a non-inline method to RefPointer. Please don't use this class directly, use RefPointer instead.

## Constructor & Destructor Documentation

RefPointerBase | ( |  | ) | `[inline, protected]`

Default constructor, initialize to null pointer

## Member Function Documentation

void assign | ( | RefObject * | oldptr,
|  | RefObject * | newptr,
|  | void * | pointer |
| ) |  |  | `[protected]`

Set a new stored pointer

Parameters:

  | oldptr | Pointer to the RefObject of the old stored object
  | newptr | Pointer to the RefObject of the new stored object
  | pointer | A void pointer to the derived class

## Member Data Documentation

void* m_pointer`[protected]`

The untyped stored pointer that should be casted to a RefObject derived class

The documentation for this class was generated from the following file:

- yateclass.h